%define anolis_release 1
%global pypi_name typing-inspect
%global pypi_srcname typing_inspect

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %{anolis_release}%{?dist}
Summary:        Runtime inspection utilities for typing module

License:        MIT
URL:            https://github.com/ilevkivskyi/%{pypi_srcname}
Source0:        %{pypi_source %pypi_srcname}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(mypy-extensions) >= 0.3.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions) >= 3.7.4

Patch000: typing-3_9.patch

%description
Typing Inspect The "%{pypi_srcname}" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mypy-extensions) >= 0.3.0
Requires:       python3dist(typing-extensions) >= 3.7.4
%description -n python3-%{pypi_name}
The "%{pypi_srcname}" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.


%prep
%autosetup -n %{pypi_srcname}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/__pycache__/%{pypi_srcname}.*.pyc
%{python3_sitelib}/%{pypi_srcname}.py
%{python3_sitelib}/%{pypi_srcname}-%{version}-py*.egg-info

%changelog
* Fri Apr 28 2023 Funda Wang <fundawang@yeah.net> - 0.6.0-1
- Import package for anolis 23
